| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
libdar::list_entry Class Reference
API

`#include <list_entry.hpp>`

## Public Member Functions
| list_entry (const list_entry &ref)=default
| list_entry (list_entry &&ref)=default
list_entry & | operator= (const list_entry &ref)=default
list_entry & | operator= (list_entry &&ref) noexcept=default
bool | is_eod () const
| method used to know whether the returned entry signals a End of Directory
const std::string & | get_name () const
unsigned char | get_type () const
bool | is_dir () const
bool | is_file () const
bool | is_symlink () const
bool | is_char_device () const
bool | is_block_device () const
bool | is_unix_socket () const
bool | is_named_pipe () const
bool | is_hard_linked () const
bool | is_removed_entry () const
bool | is_door_inode () const
bool | is_empty_dir () const
unsigned char | get_removed_type () const
| valid only for removed_entries
bool | has_data_present_in_the_archive () const
std::string | get_data_flag () const
saved_status | get_data_status () const
bool | has_EA () const
bool | has_EA_saved_in_the_archive () const
std::string | get_ea_flag () const
ea_saved_status | get_ea_status () const
bool | has_FSA () const
bool | has_FSA_saved_in_the_archive () const
std::string | get_fsa_flag () const
std::string | get_uid (bool try_resolving_name=false) const
std::string | get_gid (bool try_resolving_name=false) const
std::string | get_perm () const
void | set_fully_detailed_dates (bool mode) const
std::string | get_last_access () const
std::string | get_last_modif () const
std::string | get_last_change () const
std::string | get_removal_date () const
| for removed_entry only
time_t | get_last_access_s () const
time_t | get_last_modif_s () const
time_t | get_last_change_s () const
time_t | get_removal_date_s () const
| for removed_entry only
void | get_last_access (datetime::time_unit tu, time_t &second, time_t &fraction) const
| yet an alternative method to get last access time
void | get_last_modif (datetime::time_unit tu, time_t &second, time_t &fraction) const
| yet an alternative method to get the last modification date (see get_last_access() for details)
void | get_last_change (datetime::time_unit tu, time_t &second, time_t &fraction) const
| yet an alternative method to get the last change date (see get_last_access() for details)
std::string | get_file_size (bool size_in_bytes=true) const
std::string | get_compression_ratio () const
std::string | get_compression_ratio_flag () const
bool | is_sparse () const
std::string | get_sparse_flag () const
std::string | get_compression_algo () const
bool | is_dirty () const
std::string | get_link_target () const
std::string | get_major () const
std::string | get_minor () const
const range & | get_slices () const
| provides slice information
bool | has_delta_signature () const
std::string | get_delta_flag () const
bool | get_archive_offset_for_data (infinint &val) const
| offset in byte where to find first byte of data
bool | get_archive_offset_for_data (U_64 &val) const
std::string | get_archive_offset_for_data () const
bool | get_storage_size_for_data (infinint &val) const
| amount of byte used to store the file's data
bool | get_storage_size_for_data (U_64 &val) const
std::string | get_storage_size_for_data (bool size_in_bytes=true) const
bool | get_archive_offset_for_EA (infinint &val) const
| offset in byte whert to find the first byte of Extended Attributes
bool | get_archive_offset_for_EA (U_64 &val) const
std::string | get_archive_offset_for_EA () const
bool | get_storage_size_for_EA (infinint &val) const
| amount of byte used to store the file's EA
bool | get_storage_size_for_EA (U_64 &val) const
std::string | get_storage_size_for_EA () const
bool | get_archive_offset_for_FSA (infinint &val) const
| offset in byte where to find the first byte of Filesystem Specific Attributes
bool | get_archive_offset_for_FSA (U_64 &val) const
std::string | get_archive_offset_for_FSA () const
bool | get_storage_size_for_FSA (infinint &val) const
| amount of byte used to store the file's FSA
bool | get_storage_size_for_FSA (U_64 &val) const
std::string | get_storage_size_for_FSA () const
void | get_ea_reset_read () const
| reset the reading of Extended Attributes names
bool | get_ea_read_next (std::string &key) const
| read the next Extended Attribute name
std::string | get_etiquette () const
fsa_scope | get_fsa_scope () const
| this is the hard-link ID, only valid for hard linked entries
std::string | get_data_crc () const
std::string | get_delta_patch_base_crc () const
std::string | get_delta_patch_result_crc () const
void | set_name (const std::string &val)
void | set_type (unsigned char val)
void | set_removed_type (unsigned char val)
void | set_hard_link (bool val)
void | set_uid (const infinint &val)
void | set_gid (const infinint &val)
void | set_perm (U_16 val)
void | set_last_access (const datetime &val)
void | set_last_modif (const datetime &val)
void | set_removal_date (const datetime &val)
void | set_saved_status (saved_status val)
void | set_ea_status (ea_saved_status val)
void | set_last_change (const datetime &val)
void | set_fsa_status (fsa_saved_status val)
void | set_file_size (const infinint &val)
void | set_is_sparse_file (bool val)
void | set_compression_algo (compression val)
void | set_dirtiness (bool val)
void | set_link_target (const std::string &val)
void | set_major (int val)
void | set_minor (int val)
void | set_slices (const range &sl)
void | set_delta_sig (bool val)
void | set_archive_offset_for_data (const infinint &val)
void | set_storage_size_for_data (const infinint &val)
void | set_archive_offset_for_EA (const infinint &val)
void | set_storage_size_for_EA (const infinint &val)
void | set_archive_offset_for_FSA (const infinint &val)
void | set_storage_size_for_FSA (const infinint &val)
void | set_ea (const ea_attributs &arg)
void | set_etiquette (const infinint &arg)
void | set_fsa_scope (const fsa_scope &arg)
void | set_data_crc (const crc &ptr)
void | set_delta_patch_base_crc (const crc &ptr)
void | set_delta_patch_result_crc (const crc &ptr)
void | set_empty_dir (bool val)
void | clear ()
| list_entry (const list_entry &ref)=default
| list_entry (list_entry &&ref)=default
list_entry & | operator= (const list_entry &ref)=default
list_entry & | operator= (list_entry &&ref) noexcept=default
bool | is_eod () const
| method used to know whether the returned entry signals a End of Directory
const std::string & | get_name () const
unsigned char | get_type () const
bool | is_dir () const
bool | is_file () const
bool | is_symlink () const
bool | is_char_device () const
bool | is_block_device () const
bool | is_unix_socket () const
bool | is_named_pipe () const
bool | is_hard_linked () const
bool | is_removed_entry () const
bool | is_door_inode () const
bool | is_empty_dir () const
unsigned char | get_removed_type () const
| valid only for removed_entries
bool | has_data_present_in_the_archive () const
std::string | get_data_flag () const
saved_status | get_data_status () const
bool | has_EA () const
bool | has_EA_saved_in_the_archive () const
std::string | get_ea_flag () const
ea_saved_status | get_ea_status () const
bool | has_FSA () const
bool | has_FSA_saved_in_the_archive () const
std::string | get_fsa_flag () const
std::string | get_uid (bool try_resolving_name=false) const
std::string | get_gid (bool try_resolving_name=false) const
std::string | get_perm () const
void | set_fully_detailed_dates (bool mode) const
std::string | get_last_access () const
std::string | get_last_modif () const
std::string | get_last_change () const
std::string | get_removal_date () const
| for removed_entry only
time_t | get_last_access_s () const
time_t | get_last_modif_s () const
time_t | get_last_change_s () const
time_t | get_removal_date_s () const
| for removed_entry only
void | get_last_access (datetime::time_unit tu, time_t &second, time_t &fraction) const
| yet an alternative method to get last access time
void | get_last_modif (datetime::time_unit tu, time_t &second, time_t &fraction) const
| yet an alternative method to get the last modification date (see get_last_access() for details)
void | get_last_change (datetime::time_unit tu, time_t &second, time_t &fraction) const
| yet an alternative method to get the last change date (see get_last_access() for details)
std::string | get_file_size (bool size_in_bytes=true) const
std::string | get_compression_ratio () const
std::string | get_compression_ratio_flag () const
bool | is_sparse () const
std::string | get_sparse_flag () const
std::string | get_compression_algo () const
bool | is_dirty () const
std::string | get_link_target () const
std::string | get_major () const
std::string | get_minor () const
const range & | get_slices () const
| provides slice information
bool | has_delta_signature () const
std::string | get_delta_flag () const
bool | get_archive_offset_for_data (infinint &val) const
| offset in byte where to find first byte of data
bool | get_archive_offset_for_data (U_64 &val) const
std::string | get_archive_offset_for_data () const
bool | get_storage_size_for_data (infinint &val) const
| amount of byte used to store the file's data
bool | get_storage_size_for_data (U_64 &val) const
std::string | get_storage_size_for_data (bool size_in_bytes=true) const
bool | get_archive_offset_for_EA (infinint &val) const
| offset in byte whert to find the first byte of Extended Attributes
bool | get_archive_offset_for_EA (U_64 &val) const
std::string | get_archive_offset_for_EA () const
bool | get_storage_size_for_EA (infinint &val) const
| amount of byte used to store the file's EA
bool | get_storage_size_for_EA (U_64 &val) const
std::string | get_storage_size_for_EA () const
bool | get_archive_offset_for_FSA (infinint &val) const
| offset in byte where to find the first byte of Filesystem Specific Attributes
bool | get_archive_offset_for_FSA (U_64 &val) const
std::string | get_archive_offset_for_FSA () const
bool | get_storage_size_for_FSA (infinint &val) const
| amount of byte used to store the file's FSA
bool | get_storage_size_for_FSA (U_64 &val) const
std::string | get_storage_size_for_FSA () const
void | get_ea_reset_read () const
| reset the reading of Extended Attributes names
bool | get_ea_read_next (std::string &key) const
| read the next Extended Attribute name
std::string | get_etiquette () const
fsa_scope | get_fsa_scope () const
| this is the hard-link ID, only valid for hard linked entries
std::string | get_data_crc () const
std::string | get_delta_patch_base_crc () const
std::string | get_delta_patch_result_crc () const
void | set_name (const std::string &val)
void | set_type (unsigned char val)
void | set_removed_type (unsigned char val)
void | set_hard_link (bool val)
void | set_uid (const infinint &val)
void | set_gid (const infinint &val)
void | set_perm (U_16 val)
void | set_last_access (const datetime &val)
void | set_last_modif (const datetime &val)
void | set_removal_date (const datetime &val)
void | set_saved_status (saved_status val)
void | set_ea_status (ea_saved_status val)
void | set_last_change (const datetime &val)
void | set_fsa_status (fsa_saved_status val)
void | set_file_size (const infinint &val)
void | set_is_sparse_file (bool val)
void | set_compression_algo (compression val)
void | set_dirtiness (bool val)
void | set_link_target (const std::string &val)
void | set_major (int val)
void | set_minor (int val)
void | set_slices (const range &sl)
void | set_delta_sig (bool val)
void | set_archive_offset_for_data (const infinint &val)
void | set_storage_size_for_data (const infinint &val)
void | set_archive_offset_for_EA (const infinint &val)
void | set_storage_size_for_EA (const infinint &val)
void | set_archive_offset_for_FSA (const infinint &val)
void | set_storage_size_for_FSA (const infinint &val)
void | set_ea (const ea_attributs &arg)
void | set_etiquette (const infinint &arg)
void | set_fsa_scope (const fsa_scope &arg)
void | set_data_crc (const crc &ptr)
void | set_delta_patch_base_crc (const crc &ptr)
void | set_delta_patch_result_crc (const crc &ptr)
void | set_empty_dir (bool val)
void | clear ()

## Static Private Member Functions
static time_t | datetime2time_t (const datetime &val)
static time_t | datetime2time_t (const datetime &val)

## Private Attributes
std::string | my_name
bool | hard_link
unsigned char | type
infinint | uid
infinint | gid
U_16 | perm
bool | full_date
datetime | last_access
datetime | last_modif
| also used to store removal_date for removed entries
saved_status | data_status
ea_saved_status | ea_status
datetime | last_change
fsa_saved_status | fsa_status
fsa_scope | fsa_sc
infinint | file_size
bool | sparse_file
compression | compression_algo
bool | dirty
std::string | target
| target[0] used to store signature of removed entry for removed entries
int | major
int | minor
range | slices
bool | delta_sig
infinint | offset_for_data
infinint | storage_size_for_data
infinint | offset_for_EA
infinint | storage_size_for_EA
infinint | offset_for_FSA
infinint | storage_size_for_FSA
std::deque< std::string > | ea
std::deque< std::string >::const_iterator | it_ea
infinint | etiquette
| hard link identification
std::string | data_crc
std::string | patch_base_crc
std::string | patch_result_crc
bool | empty_dir

## Detailed Description

the list_entry class provides mean to get information about a particular entry in the archive

it provides methods for libdar to fill up such object and methods for API user to read the information. Each information uses its own method, thus it will require several call to different method to get the full description of the object. This has the advantage to let the possiblity to add new fields in the future without breaking anything in API, and in consequences in user programs.

Definition at line 59 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## Constructor & Destructor Documentation

## ◆ list_entry() [1/2]

libdar::list_entry::list_entry | ( |  | ) |
| inline

Definition at line 62 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ list_entry() [2/2]

libdar::list_entry::list_entry | ( |  | ) |
| inline

Definition at line 62 of file src/libdar/list_entry.hpp.

## Member Function Documentation

## ◆ get_archive_offset_for_data() [1/4]

std::string libdar::list_entry::get_archive_offset_for_data | ( |  | ) | const
| inline

Definition at line 174 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_archive_offset_for_data() [2/4]

std::string libdar::list_entry::get_archive_offset_for_data | ( |  | ) | const
| inline

Definition at line 174 of file src/libdar/list_entry.hpp.

## ◆ get_archive_offset_for_data() [3/4]

bool libdar::list_entry::get_archive_offset_for_data | ( | infinint & | val | ) | const
| inline

offset in byte where to find first byte of data

Note
  : return false if no data is present, else set the argument
  : offset is counted whatever is the number of slice as if there all slice were sticked toghether. But the first bytes of each slice do not count as they hold the slice header. This one is variable but can be known using the archive::get_first_slice_header_size() and archive::get_non_first_slice_header_size() methods from the current archive class. If encryption is used it is not possible to translate precisely from archive offset to slice offset, the encryption layer depending on the algorithm used may introduce an additional shift between clear data offset an corresponding ciphered data offset.
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 172 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_archive_offset_for_data() [4/4]

bool libdar::list_entry::get_archive_offset_for_data | ( | infinint & | val | ) | const
| inline

offset in byte where to find first byte of data

Note
  : return false if no data is present, else set the argument
  : offset is counted whatever is the number of slice as if there all slice were sticked toghether. But the first bytes of each slice do not count as they hold the slice header. This one is variable but can be known using the archive::get_first_slice_header_size() and archive::get_non_first_slice_header_size() methods from the current archive class. If encryption is used it is not possible to translate precisely from archive offset to slice offset, the encryption layer depending on the algorithm used may introduce an additional shift between clear data offset an corresponding ciphered data offset.
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 172 of file src/libdar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_archive_offset_for_EA() [1/4]

std::string libdar::list_entry::get_archive_offset_for_EA | ( |  | ) | const
| inline

Definition at line 191 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_archive_offset_for_EA() [2/4]

std::string libdar::list_entry::get_archive_offset_for_EA | ( |  | ) | const
| inline

Definition at line 191 of file src/libdar/list_entry.hpp.

## ◆ get_archive_offset_for_EA() [3/4]

bool libdar::list_entry::get_archive_offset_for_EA | ( | infinint & | val | ) | const
| inline

offset in byte whert to find the first byte of Extended Attributes

Note
  see note for get_archive_offset_for_data(infinint)
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 189 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_archive_offset_for_EA() [4/4]

bool libdar::list_entry::get_archive_offset_for_EA | ( | infinint & | val | ) | const
| inline

offset in byte whert to find the first byte of Extended Attributes

Note
  see note for get_archive_offset_for_data(infinint)
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 189 of file src/libdar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_archive_offset_for_FSA() [1/4]

std::string libdar::list_entry::get_archive_offset_for_FSA | ( |  | ) | const
| inline

Definition at line 205 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_archive_offset_for_FSA() [2/4]

std::string libdar::list_entry::get_archive_offset_for_FSA | ( |  | ) | const
| inline

Definition at line 205 of file src/libdar/list_entry.hpp.

## ◆ get_archive_offset_for_FSA() [3/4]

bool libdar::list_entry::get_archive_offset_for_FSA | ( | infinint & | val | ) | const
| inline

offset in byte where to find the first byte of Filesystem Specific Attributes

Note
  see note for get_archive_offset_for_data(infinint)
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 203 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_archive_offset_for_FSA() [4/4]

bool libdar::list_entry::get_archive_offset_for_FSA | ( | infinint & | val | ) | const
| inline

offset in byte where to find the first byte of Filesystem Specific Attributes

Note
  see note for get_archive_offset_for_data(infinint)
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 203 of file src/libdar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_compression_algo() [1/2]

std::string libdar::list_entry::get_compression_algo | ( |  | ) | const
| inline

Definition at line 145 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_compression_algo() [2/2]

std::string libdar::list_entry::get_compression_algo | ( |  | ) | const
| inline

Definition at line 145 of file src/libdar/list_entry.hpp.

## ◆ get_data_crc() [1/2]

std::string libdar::list_entry::get_data_crc | ( |  | ) | const
| inline

Definition at line 230 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_data_crc() [2/2]

std::string libdar::list_entry::get_data_crc | ( |  | ) | const
| inline

Definition at line 230 of file src/libdar/list_entry.hpp.

## ◆ get_data_status() [1/2]

saved_status libdar::list_entry::get_data_status | ( |  | ) | const
| inline

Definition at line 97 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_data_status() [2/2]

saved_status libdar::list_entry::get_data_status | ( |  | ) | const
| inline

Definition at line 97 of file src/libdar/list_entry.hpp.

## ◆ get_delta_patch_base_crc() [1/2]

std::string libdar::list_entry::get_delta_patch_base_crc | ( |  | ) | const
| inline

Definition at line 231 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_delta_patch_base_crc() [2/2]

std::string libdar::list_entry::get_delta_patch_base_crc | ( |  | ) | const
| inline

Definition at line 231 of file src/libdar/list_entry.hpp.

## ◆ get_delta_patch_result_crc() [1/2]

std::string libdar::list_entry::get_delta_patch_result_crc | ( |  | ) | const
| inline

Definition at line 232 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_delta_patch_result_crc() [2/2]

std::string libdar::list_entry::get_delta_patch_result_crc | ( |  | ) | const
| inline

Definition at line 232 of file src/libdar/list_entry.hpp.

## ◆ get_ea_read_next() [1/2]

bool libdar::list_entry::get_ea_read_next | ( | std::string & | key | ) | const

read the next Extended Attribute name

Parameters

  [out] | key | is set to the EA name

Returns
  true if some other attribute can be read, false if this one is the last

Note
  to have list_entry objects filled with this information you need to activate it in archive options listing (archive::op_listing) of set fetch_ea to true in archive::get_children_of() and in archive_get_children_in_table()

References etiquette.

## ◆ get_ea_read_next() [2/2]

bool libdar::list_entry::get_ea_read_next | ( | std::string & | key | ) | const

read the next Extended Attribute name

Parameters

  [out] | key | is set to the EA name

Returns
  true if some other attribute can be read, false if this one is the last

Note
  to have list_entry objects filled with this information you need to activate it in archive options listing (archive::op_listing) of set fetch_ea to true in archive::get_children_of() and in archive_get_children_in_table()

References etiquette.

## ◆ get_ea_reset_read() [1/2]

void libdar::list_entry::get_ea_reset_read | ( |  | ) | const
| inline

reset the reading of Extended Attributes names

Note
  see get_ea_read_next()

Definition at line 215 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_ea_reset_read() [2/2]

void libdar::list_entry::get_ea_reset_read | ( |  | ) | const
| inline

reset the reading of Extended Attributes names

Note
  see get_ea_read_next()

Definition at line 215 of file src/libdar/list_entry.hpp.

## ◆ get_ea_status() [1/2]

ea_saved_status libdar::list_entry::get_ea_status | ( |  | ) | const
| inline

Definition at line 102 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_ea_status() [2/2]

ea_saved_status libdar::list_entry::get_ea_status | ( |  | ) | const
| inline

Definition at line 102 of file src/libdar/list_entry.hpp.

## ◆ get_etiquette() [1/2]

std::string libdar::list_entry::get_etiquette | ( |  | ) | const
| inline

Definition at line 226 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_etiquette() [2/2]

std::string libdar::list_entry::get_etiquette | ( |  | ) | const
| inline

Definition at line 226 of file src/libdar/list_entry.hpp.

## ◆ get_fsa_scope() [1/2]

fsa_scope libdar::list_entry::get_fsa_scope | ( |  | ) | const
| inline

this is the hard-link ID, only valid for hard linked entries

Definition at line 228 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_fsa_scope() [2/2]

fsa_scope libdar::list_entry::get_fsa_scope | ( |  | ) | const
| inline

this is the hard-link ID, only valid for hard linked entries

Definition at line 228 of file src/libdar/list_entry.hpp.

## ◆ get_last_access() [1/2]

void libdar::list_entry::get_last_access | ( | datetime::time_unit | tu,
|  | time_t & | second,
|  | time_t & | fraction ) const
| inline

yet an alternative method to get last access time

Parameters

  [in] | tu | time unit to be used to store fraction (libdar::datetime::tu_microsecond, libdar::datetime::tu_nanosecond,...)
  [out] | second | integer number of second
  [out] | fraction | remaining part of the time (expressed as tu unit) to be added to "second" to get the exact time

Definition at line 129 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_last_access() [2/2]

void libdar::list_entry::get_last_access | ( | datetime::time_unit | tu,
|  | time_t & | second,
|  | time_t & | fraction ) const
| inline

yet an alternative method to get last access time

Parameters

  [in] | tu | time unit to be used to store fraction (libdar::datetime::tu_microsecond, libdar::datetime::tu_nanosecond,...)
  [out] | second | integer number of second
  [out] | fraction | remaining part of the time (expressed as tu unit) to be added to "second" to get the exact time

Definition at line 129 of file src/libdar/list_entry.hpp.

## ◆ get_last_access_s() [1/2]

time_t libdar::list_entry::get_last_access_s | ( |  | ) | const
| inline

Definition at line 119 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_last_access_s() [2/2]

time_t libdar::list_entry::get_last_access_s | ( |  | ) | const
| inline

Definition at line 119 of file src/libdar/list_entry.hpp.

## ◆ get_last_change() [1/2]

void libdar::list_entry::get_last_change | ( | datetime::time_unit | tu,
|  | time_t & | second,
|  | time_t & | fraction ) const
| inline

yet an alternative method to get the last change date (see get_last_access() for details)

Definition at line 137 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_last_change() [2/2]

void libdar::list_entry::get_last_change | ( | datetime::time_unit | tu,
|  | time_t & | second,
|  | time_t & | fraction ) const
| inline

yet an alternative method to get the last change date (see get_last_access() for details)

Definition at line 137 of file src/libdar/list_entry.hpp.

## ◆ get_last_change_s() [1/2]

time_t libdar::list_entry::get_last_change_s | ( |  | ) | const
| inline

Definition at line 121 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_last_change_s() [2/2]

time_t libdar::list_entry::get_last_change_s | ( |  | ) | const
| inline

Definition at line 121 of file src/libdar/list_entry.hpp.

## ◆ get_last_modif() [1/2]

void libdar::list_entry::get_last_modif | ( | datetime::time_unit | tu,
|  | time_t & | second,
|  | time_t & | fraction ) const
| inline

yet an alternative method to get the last modification date (see get_last_access() for details)

Definition at line 133 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

References last_modif.

## ◆ get_last_modif() [2/2]

void libdar::list_entry::get_last_modif | ( | datetime::time_unit | tu,
|  | time_t & | second,
|  | time_t & | fraction ) const
| inline

yet an alternative method to get the last modification date (see get_last_access() for details)

Definition at line 133 of file src/libdar/list_entry.hpp.

References last_modif.

## ◆ get_link_target() [1/2]

std::string libdar::list_entry::get_link_target | ( |  | ) | const
| inline

Definition at line 147 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_link_target() [2/2]

std::string libdar::list_entry::get_link_target | ( |  | ) | const
| inline

Definition at line 147 of file src/libdar/list_entry.hpp.

## ◆ get_name() [1/2]

const std::string & libdar::list_entry::get_name | ( |  | ) | const
| inline

Definition at line 79 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_name() [2/2]

const std::string & libdar::list_entry::get_name | ( |  | ) | const
| inline

Definition at line 79 of file src/libdar/list_entry.hpp.

## ◆ get_slices() [1/2]

const range & libdar::list_entry::get_slices | ( |  | ) | const
| inline

provides slice information

Note
  you must activate slice lookup from archive options for this field to me set by libdar, this operation has a additional cost in storage and computation

Definition at line 156 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_slices() [2/2]

const range & libdar::list_entry::get_slices | ( |  | ) | const
| inline

provides slice information

Note
  you must activate slice lookup from archive options for this field to me set by libdar, this operation has a additional cost in storage and computation

Definition at line 156 of file src/libdar/list_entry.hpp.

## ◆ get_sparse_flag() [1/2]

std::string libdar::list_entry::get_sparse_flag | ( |  | ) | const
| inline

Definition at line 144 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_sparse_flag() [2/2]

std::string libdar::list_entry::get_sparse_flag | ( |  | ) | const
| inline

Definition at line 144 of file src/libdar/list_entry.hpp.

## ◆ get_storage_size_for_data() [1/2]

bool libdar::list_entry::get_storage_size_for_data | ( | infinint & | val | ) | const
| inline

amount of byte used to store the file's data

Note
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 180 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_storage_size_for_data() [2/2]

bool libdar::list_entry::get_storage_size_for_data | ( | infinint & | val | ) | const
| inline

amount of byte used to store the file's data

Note
  if an U_64 cannot handle such large value, false is returned, you should use the infinint of std::string version of this method

Definition at line 180 of file src/libdar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_storage_size_for_EA() [1/4]

std::string libdar::list_entry::get_storage_size_for_EA | ( |  | ) | const
| inline

Definition at line 196 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_storage_size_for_EA() [2/4]

std::string libdar::list_entry::get_storage_size_for_EA | ( |  | ) | const
| inline

Definition at line 196 of file src/libdar/list_entry.hpp.

## ◆ get_storage_size_for_EA() [3/4]

bool libdar::list_entry::get_storage_size_for_EA | ( | infinint & | val | ) | const
| inline

amount of byte used to store the file's EA

Definition at line 194 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_storage_size_for_EA() [4/4]

bool libdar::list_entry::get_storage_size_for_EA | ( | infinint & | val | ) | const
| inline

amount of byte used to store the file's EA

Definition at line 194 of file src/libdar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_storage_size_for_FSA() [1/4]

std::string libdar::list_entry::get_storage_size_for_FSA | ( |  | ) | const
| inline

Definition at line 210 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_storage_size_for_FSA() [2/4]

std::string libdar::list_entry::get_storage_size_for_FSA | ( |  | ) | const
| inline

Definition at line 210 of file src/libdar/list_entry.hpp.

## ◆ get_storage_size_for_FSA() [3/4]

bool libdar::list_entry::get_storage_size_for_FSA | ( | infinint & | val | ) | const
| inline

amount of byte used to store the file's FSA

Definition at line 208 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_storage_size_for_FSA() [4/4]

bool libdar::list_entry::get_storage_size_for_FSA | ( | infinint & | val | ) | const
| inline

amount of byte used to store the file's FSA

Definition at line 208 of file src/libdar/list_entry.hpp.

References libdar::infinint::is_zero().

## ◆ get_type() [1/2]

unsigned char libdar::list_entry::get_type | ( |  | ) | const
| inline

Definition at line 80 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ get_type() [2/2]

unsigned char libdar::list_entry::get_type | ( |  | ) | const
| inline

Definition at line 80 of file src/libdar/list_entry.hpp.

## ◆ has_data_present_in_the_archive() [1/2]

bool libdar::list_entry::has_data_present_in_the_archive | ( |  | ) | const
| inline

Definition at line 95 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ has_data_present_in_the_archive() [2/2]

bool libdar::list_entry::has_data_present_in_the_archive | ( |  | ) | const
| inline

Definition at line 95 of file src/libdar/list_entry.hpp.

## ◆ has_delta_signature() [1/2]

bool libdar::list_entry::has_delta_signature | ( |  | ) | const
| inline

Definition at line 157 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ has_delta_signature() [2/2]

bool libdar::list_entry::has_delta_signature | ( |  | ) | const
| inline

Definition at line 157 of file src/libdar/list_entry.hpp.

## ◆ has_EA() [1/2]

bool libdar::list_entry::has_EA | ( |  | ) | const
| inline

Definition at line 99 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ has_EA() [2/2]

bool libdar::list_entry::has_EA | ( |  | ) | const
| inline

Definition at line 99 of file src/libdar/list_entry.hpp.

## ◆ has_EA_saved_in_the_archive() [1/2]

bool libdar::list_entry::has_EA_saved_in_the_archive | ( |  | ) | const
| inline

Definition at line 100 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ has_EA_saved_in_the_archive() [2/2]

bool libdar::list_entry::has_EA_saved_in_the_archive | ( |  | ) | const
| inline

Definition at line 100 of file src/libdar/list_entry.hpp.

## ◆ has_FSA() [1/2]

bool libdar::list_entry::has_FSA | ( |  | ) | const
| inline

Definition at line 104 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ has_FSA() [2/2]

bool libdar::list_entry::has_FSA | ( |  | ) | const
| inline

Definition at line 104 of file src/libdar/list_entry.hpp.

## ◆ has_FSA_saved_in_the_archive() [1/2]

bool libdar::list_entry::has_FSA_saved_in_the_archive | ( |  | ) | const
| inline

Definition at line 105 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ has_FSA_saved_in_the_archive() [2/2]

bool libdar::list_entry::has_FSA_saved_in_the_archive | ( |  | ) | const
| inline

Definition at line 105 of file src/libdar/list_entry.hpp.

## ◆ is_block_device() [1/2]

bool libdar::list_entry::is_block_device | ( |  | ) | const
| inline

Definition at line 85 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_block_device() [2/2]

bool libdar::list_entry::is_block_device | ( |  | ) | const
| inline

Definition at line 85 of file src/libdar/list_entry.hpp.

## ◆ is_char_device() [1/2]

bool libdar::list_entry::is_char_device | ( |  | ) | const
| inline

Definition at line 84 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_char_device() [2/2]

bool libdar::list_entry::is_char_device | ( |  | ) | const
| inline

Definition at line 84 of file src/libdar/list_entry.hpp.

## ◆ is_dir() [1/2]

bool libdar::list_entry::is_dir | ( |  | ) | const
| inline

Definition at line 81 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_dir() [2/2]

bool libdar::list_entry::is_dir | ( |  | ) | const
| inline

Definition at line 81 of file src/libdar/list_entry.hpp.

## ◆ is_dirty() [1/2]

bool libdar::list_entry::is_dirty | ( |  | ) | const
| inline

Definition at line 146 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_dirty() [2/2]

bool libdar::list_entry::is_dirty | ( |  | ) | const
| inline

Definition at line 146 of file src/libdar/list_entry.hpp.

## ◆ is_door_inode() [1/2]

bool libdar::list_entry::is_door_inode | ( |  | ) | const
| inline

Definition at line 90 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_door_inode() [2/2]

bool libdar::list_entry::is_door_inode | ( |  | ) | const
| inline

Definition at line 90 of file src/libdar/list_entry.hpp.

## ◆ is_empty_dir() [1/2]

bool libdar::list_entry::is_empty_dir | ( |  | ) | const
| inline

Definition at line 91 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_empty_dir() [2/2]

bool libdar::list_entry::is_empty_dir | ( |  | ) | const
| inline

Definition at line 91 of file src/libdar/list_entry.hpp.

## ◆ is_eod() [1/2]

bool libdar::list_entry::is_eod | ( |  | ) | const
| inline

method used to know whether the returned entry signals a End of Directory

Note
  such entry does not contain any valid information, it signals the next entry will be taken from the parent directory, instead of the current directory. Such entry is necessary for archive::op_listing

Definition at line 74 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_eod() [2/2]

bool libdar::list_entry::is_eod | ( |  | ) | const
| inline

method used to know whether the returned entry signals a End of Directory

Note
  such entry does not contain any valid information, it signals the next entry will be taken from the parent directory, instead of the current directory. Such entry is necessary for archive::op_listing

Definition at line 74 of file src/libdar/list_entry.hpp.

## ◆ is_file() [1/2]

bool libdar::list_entry::is_file | ( |  | ) | const
| inline

Definition at line 82 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_file() [2/2]

bool libdar::list_entry::is_file | ( |  | ) | const
| inline

Definition at line 82 of file src/libdar/list_entry.hpp.

## ◆ is_hard_linked() [1/2]

bool libdar::list_entry::is_hard_linked | ( |  | ) | const
| inline

Definition at line 88 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_hard_linked() [2/2]

bool libdar::list_entry::is_hard_linked | ( |  | ) | const
| inline

Definition at line 88 of file src/libdar/list_entry.hpp.

## ◆ is_named_pipe() [1/2]

bool libdar::list_entry::is_named_pipe | ( |  | ) | const
| inline

Definition at line 87 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_named_pipe() [2/2]

bool libdar::list_entry::is_named_pipe | ( |  | ) | const
| inline

Definition at line 87 of file src/libdar/list_entry.hpp.

## ◆ is_removed_entry() [1/2]

bool libdar::list_entry::is_removed_entry | ( |  | ) | const
| inline

Definition at line 89 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_removed_entry() [2/2]

bool libdar::list_entry::is_removed_entry | ( |  | ) | const
| inline

Definition at line 89 of file src/libdar/list_entry.hpp.

## ◆ is_sparse() [1/2]

bool libdar::list_entry::is_sparse | ( |  | ) | const
| inline

Definition at line 143 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_sparse() [2/2]

bool libdar::list_entry::is_sparse | ( |  | ) | const
| inline

Definition at line 143 of file src/libdar/list_entry.hpp.

## ◆ is_symlink() [1/2]

bool libdar::list_entry::is_symlink | ( |  | ) | const
| inline

Definition at line 83 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_symlink() [2/2]

bool libdar::list_entry::is_symlink | ( |  | ) | const
| inline

Definition at line 83 of file src/libdar/list_entry.hpp.

## ◆ is_unix_socket() [1/2]

bool libdar::list_entry::is_unix_socket | ( |  | ) | const
| inline

Definition at line 86 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ is_unix_socket() [2/2]

bool libdar::list_entry::is_unix_socket | ( |  | ) | const
| inline

Definition at line 86 of file src/libdar/list_entry.hpp.

## ◆ set_archive_offset_for_data() [1/2]

void libdar::list_entry::set_archive_offset_for_data | ( | const infinint & | val | ) |
| inline

Definition at line 259 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_archive_offset_for_data() [2/2]

void libdar::list_entry::set_archive_offset_for_data | ( | const infinint & | val | ) |
| inline

Definition at line 259 of file src/libdar/list_entry.hpp.

## ◆ set_archive_offset_for_EA() [1/2]

void libdar::list_entry::set_archive_offset_for_EA | ( | const infinint & | val | ) |
| inline

Definition at line 261 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_archive_offset_for_EA() [2/2]

void libdar::list_entry::set_archive_offset_for_EA | ( | const infinint & | val | ) |
| inline

Definition at line 261 of file src/libdar/list_entry.hpp.

## ◆ set_archive_offset_for_FSA() [1/2]

void libdar::list_entry::set_archive_offset_for_FSA | ( | const infinint & | val | ) |
| inline

Definition at line 263 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_archive_offset_for_FSA() [2/2]

void libdar::list_entry::set_archive_offset_for_FSA | ( | const infinint & | val | ) |
| inline

Definition at line 263 of file src/libdar/list_entry.hpp.

## ◆ set_compression_algo() [1/2]

void libdar::list_entry::set_compression_algo | ( | compression | val | ) |
| inline

Definition at line 252 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_compression_algo() [2/2]

void libdar::list_entry::set_compression_algo | ( | compression | val | ) |
| inline

Definition at line 252 of file src/libdar/list_entry.hpp.

## ◆ set_delta_sig() [1/2]

void libdar::list_entry::set_delta_sig | ( | bool | val | ) |
| inline

Definition at line 258 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_delta_sig() [2/2]

void libdar::list_entry::set_delta_sig | ( | bool | val | ) |
| inline

Definition at line 258 of file src/libdar/list_entry.hpp.

## ◆ set_dirtiness() [1/2]

void libdar::list_entry::set_dirtiness | ( | bool | val | ) |
| inline

Definition at line 253 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_dirtiness() [2/2]

void libdar::list_entry::set_dirtiness | ( | bool | val | ) |
| inline

Definition at line 253 of file src/libdar/list_entry.hpp.

## ◆ set_ea_status() [1/2]

void libdar::list_entry::set_ea_status | ( | ea_saved_status | val | ) |
| inline

Definition at line 247 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_ea_status() [2/2]

void libdar::list_entry::set_ea_status | ( | ea_saved_status | val | ) |
| inline

Definition at line 247 of file src/libdar/list_entry.hpp.

## ◆ set_empty_dir() [1/2]

void libdar::list_entry::set_empty_dir | ( | bool | val | ) |
| inline

Definition at line 271 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_empty_dir() [2/2]

void libdar::list_entry::set_empty_dir | ( | bool | val | ) |
| inline

Definition at line 271 of file src/libdar/list_entry.hpp.

## ◆ set_etiquette() [1/2]

void libdar::list_entry::set_etiquette | ( | const infinint & | arg | ) |
| inline

Definition at line 266 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_etiquette() [2/2]

void libdar::list_entry::set_etiquette | ( | const infinint & | arg | ) |
| inline

Definition at line 266 of file src/libdar/list_entry.hpp.

## ◆ set_file_size() [1/2]

void libdar::list_entry::set_file_size | ( | const infinint & | val | ) |
| inline

Definition at line 250 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_file_size() [2/2]

void libdar::list_entry::set_file_size | ( | const infinint & | val | ) |
| inline

Definition at line 250 of file src/libdar/list_entry.hpp.

## ◆ set_fsa_scope() [1/2]

void libdar::list_entry::set_fsa_scope | ( | const fsa_scope & | arg | ) |
| inline

Definition at line 267 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_fsa_scope() [2/2]

void libdar::list_entry::set_fsa_scope | ( | const fsa_scope & | arg | ) |
| inline

Definition at line 267 of file src/libdar/list_entry.hpp.

## ◆ set_fsa_status() [1/2]

void libdar::list_entry::set_fsa_status | ( | fsa_saved_status | val | ) |
| inline

Definition at line 249 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_fsa_status() [2/2]

void libdar::list_entry::set_fsa_status | ( | fsa_saved_status | val | ) |
| inline

Definition at line 249 of file src/libdar/list_entry.hpp.

## ◆ set_fully_detailed_dates() [1/2]

void libdar::list_entry::set_fully_detailed_dates | ( | bool | mode | ) | const
| inline

Note
  this is a const method because it only changes the display not the value of dates

Definition at line 114 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_fully_detailed_dates() [2/2]

void libdar::list_entry::set_fully_detailed_dates | ( | bool | mode | ) | const
| inline

Note
  this is a const method because it only changes the display not the value of dates

Definition at line 114 of file src/libdar/list_entry.hpp.

## ◆ set_gid() [1/2]

void libdar::list_entry::set_gid | ( | const infinint & | val | ) |
| inline

Definition at line 241 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_gid() [2/2]

void libdar::list_entry::set_gid | ( | const infinint & | val | ) |
| inline

Definition at line 241 of file src/libdar/list_entry.hpp.

## ◆ set_hard_link() [1/2]

void libdar::list_entry::set_hard_link | ( | bool | val | ) |
| inline

Definition at line 239 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_hard_link() [2/2]

void libdar::list_entry::set_hard_link | ( | bool | val | ) |
| inline

Definition at line 239 of file src/libdar/list_entry.hpp.

## ◆ set_is_sparse_file() [1/2]

void libdar::list_entry::set_is_sparse_file | ( | bool | val | ) |
| inline

Definition at line 251 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_is_sparse_file() [2/2]

void libdar::list_entry::set_is_sparse_file | ( | bool | val | ) |
| inline

Definition at line 251 of file src/libdar/list_entry.hpp.

## ◆ set_last_access() [1/2]

void libdar::list_entry::set_last_access | ( | const datetime & | val | ) |
| inline

Definition at line 243 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_last_access() [2/2]

void libdar::list_entry::set_last_access | ( | const datetime & | val | ) |
| inline

Definition at line 243 of file src/libdar/list_entry.hpp.

## ◆ set_last_change() [1/2]

void libdar::list_entry::set_last_change | ( | const datetime & | val | ) |
| inline

Definition at line 248 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_last_change() [2/2]

void libdar::list_entry::set_last_change | ( | const datetime & | val | ) |
| inline

Definition at line 248 of file src/libdar/list_entry.hpp.

## ◆ set_last_modif() [1/2]

void libdar::list_entry::set_last_modif | ( | const datetime & | val | ) |
| inline

Definition at line 244 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_last_modif() [2/2]

void libdar::list_entry::set_last_modif | ( | const datetime & | val | ) |
| inline

Definition at line 244 of file src/libdar/list_entry.hpp.

## ◆ set_link_target() [1/2]

void libdar::list_entry::set_link_target | ( | const std::string & | val | ) |
| inline

Definition at line 254 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_link_target() [2/2]

void libdar::list_entry::set_link_target | ( | const std::string & | val | ) |
| inline

Definition at line 254 of file src/libdar/list_entry.hpp.

## ◆ set_major() [1/2]

void libdar::list_entry::set_major | ( | int | val | ) |
| inline

Definition at line 255 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_major() [2/2]

void libdar::list_entry::set_major | ( | int | val | ) |
| inline

Definition at line 255 of file src/libdar/list_entry.hpp.

## ◆ set_minor() [1/2]

void libdar::list_entry::set_minor | ( | int | val | ) |
| inline

Definition at line 256 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_minor() [2/2]

void libdar::list_entry::set_minor | ( | int | val | ) |
| inline

Definition at line 256 of file src/libdar/list_entry.hpp.

## ◆ set_name() [1/2]

void libdar::list_entry::set_name | ( | const std::string & | val | ) |
| inline

Definition at line 236 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_name() [2/2]

void libdar::list_entry::set_name | ( | const std::string & | val | ) |
| inline

Definition at line 236 of file src/libdar/list_entry.hpp.

## ◆ set_perm() [1/2]

void libdar::list_entry::set_perm | ( | U_16 | val | ) |
| inline

Definition at line 242 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_perm() [2/2]

void libdar::list_entry::set_perm | ( | U_16 | val | ) |
| inline

Definition at line 242 of file src/libdar/list_entry.hpp.

## ◆ set_saved_status() [1/2]

void libdar::list_entry::set_saved_status | ( | saved_status | val | ) |
| inline

Definition at line 246 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_saved_status() [2/2]

void libdar::list_entry::set_saved_status | ( | saved_status | val | ) |
| inline

Definition at line 246 of file src/libdar/list_entry.hpp.

## ◆ set_slices() [1/2]

void libdar::list_entry::set_slices | ( | const range & | sl | ) |
| inline

Definition at line 257 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_slices() [2/2]

void libdar::list_entry::set_slices | ( | const range & | sl | ) |
| inline

Definition at line 257 of file src/libdar/list_entry.hpp.

## ◆ set_storage_size_for_data() [1/2]

void libdar::list_entry::set_storage_size_for_data | ( | const infinint & | val | ) |
| inline

Definition at line 260 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_storage_size_for_data() [2/2]

void libdar::list_entry::set_storage_size_for_data | ( | const infinint & | val | ) |
| inline

Definition at line 260 of file src/libdar/list_entry.hpp.

## ◆ set_storage_size_for_EA() [1/2]

void libdar::list_entry::set_storage_size_for_EA | ( | const infinint & | val | ) |
| inline

Definition at line 262 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_storage_size_for_EA() [2/2]

void libdar::list_entry::set_storage_size_for_EA | ( | const infinint & | val | ) |
| inline

Definition at line 262 of file src/libdar/list_entry.hpp.

## ◆ set_storage_size_for_FSA() [1/2]

void libdar::list_entry::set_storage_size_for_FSA | ( | const infinint & | val | ) |
| inline

Definition at line 264 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_storage_size_for_FSA() [2/2]

void libdar::list_entry::set_storage_size_for_FSA | ( | const infinint & | val | ) |
| inline

Definition at line 264 of file src/libdar/list_entry.hpp.

## ◆ set_type() [1/2]

void libdar::list_entry::set_type | ( | unsigned char | val | ) |
| inline

Definition at line 237 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_type() [2/2]

void libdar::list_entry::set_type | ( | unsigned char | val | ) |
| inline

Definition at line 237 of file src/libdar/list_entry.hpp.

## ◆ set_uid() [1/2]

void libdar::list_entry::set_uid | ( | const infinint & | val | ) |
| inline

Definition at line 240 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ set_uid() [2/2]

void libdar::list_entry::set_uid | ( | const infinint & | val | ) |
| inline

Definition at line 240 of file src/libdar/list_entry.hpp.

## Member Data Documentation

## ◆ compression_algo

compression libdar::list_entry::compression_algo
| private

Definition at line 292 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ data_crc

std::string libdar::list_entry::data_crc
| private

Definition at line 308 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ data_status

saved_status libdar::list_entry::data_status
| private

Definition at line 285 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ delta_sig

bool libdar::list_entry::delta_sig
| private

Definition at line 298 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ dirty

bool libdar::list_entry::dirty
| private

Definition at line 293 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ ea

std::deque< std::string > libdar::list_entry::ea
| private

Definition at line 305 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ ea_status

ea_saved_status libdar::list_entry::ea_status
| private

Definition at line 286 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ empty_dir

bool libdar::list_entry::empty_dir
| private

Definition at line 311 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ etiquette

infinint libdar::list_entry::etiquette
| private

hard link identification

Definition at line 307 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

Referenced by get_ea_read_next().

## ◆ file_size

infinint libdar::list_entry::file_size
| private

Definition at line 290 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ fsa_sc

fsa_scope libdar::list_entry::fsa_sc
| private

Definition at line 289 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ fsa_status

fsa_saved_status libdar::list_entry::fsa_status
| private

Definition at line 288 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ full_date

bool libdar::list_entry::full_date
| mutable private

Definition at line 282 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ gid

infinint libdar::list_entry::gid
| private

Definition at line 280 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ hard_link

bool libdar::list_entry::hard_link
| private

Definition at line 277 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ it_ea

std::deque< std::string >::const_iterator libdar::list_entry::it_ea
| mutable private

Definition at line 306 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ last_access

datetime libdar::list_entry::last_access
| private

Definition at line 283 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ last_change

datetime libdar::list_entry::last_change
| private

Definition at line 287 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ last_modif

datetime libdar::list_entry::last_modif
| private

also used to store removal_date for removed entries

Definition at line 284 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

Referenced by get_last_modif().

## ◆ major

int libdar::list_entry::major
| private

Definition at line 295 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ minor

int libdar::list_entry::minor
| private

Definition at line 296 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ my_name

std::string libdar::list_entry::my_name
| private

Definition at line 276 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ offset_for_data

infinint libdar::list_entry::offset_for_data
| private

Definition at line 299 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ offset_for_EA

infinint libdar::list_entry::offset_for_EA
| private

Definition at line 301 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ offset_for_FSA

infinint libdar::list_entry::offset_for_FSA
| private

Definition at line 303 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ patch_base_crc

std::string libdar::list_entry::patch_base_crc
| private

Definition at line 309 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ patch_result_crc

std::string libdar::list_entry::patch_result_crc
| private

Definition at line 310 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ perm

U_16 libdar::list_entry::perm
| private

Definition at line 281 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ slices

range libdar::list_entry::slices
| private

Definition at line 297 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ sparse_file

bool libdar::list_entry::sparse_file
| private

Definition at line 291 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ storage_size_for_data

infinint libdar::list_entry::storage_size_for_data
| private

Definition at line 300 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ storage_size_for_EA

infinint libdar::list_entry::storage_size_for_EA
| private

Definition at line 302 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ storage_size_for_FSA

infinint libdar::list_entry::storage_size_for_FSA
| private

Definition at line 304 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ target

std::string libdar::list_entry::target
| private

target[0] used to store signature of removed entry for removed entries

Definition at line 294 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ type

unsigned char libdar::list_entry::type
| private

Definition at line 278 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

## ◆ uid

infinint libdar::list_entry::uid
| private

Definition at line 279 of file dar64-2.8.3-win64/include/dar/list_entry.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/list_entry.hpp
- src/libdar/list_entry.hpp